body {
    background: white;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#main {

    height: calc(90vh+20px);
    width: 300px;
    background: black;
    border-radius: 20px;
    box-shadow: 0 0 12px #cccbc8, 1px 1px 12px rgb(31, 30, 30);
}

#ans {
    height: 150px;
    width: 300px;
    background: black;
    border-radius: 20px 20px 0 0;
    color: white;
}

#screen {
    height: 130px;
    width: 295px !important;
    overflow: auto;

    text-align: end;
    font-size: 3.65rem;
    display: flex;
    align-items: end;
    justify-content: end;
    position: relative;
    flex-wrap: wrap;
}

#screen:before {
    content: "";
    height: 60px;
    width: 3px;
    background: orange;
    transform: translate(0, -8%);
    position: absolute;
    animation-name: example;
    animation-duration: 1.6s;
    animation-iteration-count: infinite;
}


@keyframes example {
    50% {
        opacity: 1;

    }

    100% {
        opacity: 0;

    }

}


#mode {
    display: flex;
    color: black;
    background: black;
    height: 20px;
    width: 300px;
    padding-bottom: 1%;
    padding-top: 0.5%;
    position: relative;
    box-shadow: 0 0.5px 0.5px rgb(116, 114, 114);
    z-index: 2;
}

#span_main {
    display: flex;
    height: 20px;
    width: 40px;
    background: white;
    margin-left: 3%;
    border-radius: 20px;
    position: relative;
    align-items: center;
    box-shadow: inset 0px 0px 4px rgb(116, 114, 114);
}

#span_under {
    height: 20px;
    width: 20px;
    background: rgb(17, 17, 17);
    border-radius: 50%;
    position: absolute;
    transform: scale(0.8);
    box-shadow: inset 0 0 3px rgb(138, 136, 136);
    transform: translate(100%, 0) scale(0.8);
}


.fa {
    color: #03fc49;
    font-size: 1.35rem;
    margin-left: auto;
    margin-right: 6%;
}

#btn {
    background: black;
    height: 96.8%;
    width: 100%;
    text-align: center;
    display: grid;
    align-items: center;
    justify-content: center;
    grid-template-columns: repeat(4, 20%);
    position: absolute;
    padding-top: 2%;
    padding-bottom: 2%;
    border-radius: 0 0 20px 20px;
    cursor: default;
    z-index: 0;
}

#backspace {
    font-size: 20px;
}

.b {
    height: 9vh;
    width: 9vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-radius: 50%;
    font-size: 1.7rem;


}

.b:active {
    transition: 0.1s;
    background: linear-gradient(rgb(255, 136, 0), #fa5b05);
    color: white;
}

#equal {
    background: linear-gradient(135deg, orange, #eb741e);
    color: white;
    font-weight: bold;
}

#equal:active {
    background: linear-gradient(rgb(255, 136, 0), #fa5b05);
}

#multiply,
#add,
#subtract,
#divide {
    color: #03fc49;

}

#multiply:active,
#add:active,
#subtract:active,
#divide:active {
    color: white;
    background: linear-gradient(#03fc88, #2cab0c);
}

#clear,
#backspace {
    color: orange;
}

#clear:active,
#backspace:active {
    background: linear-gradient(120deg, #f76565, #ad0505);
    color: white;
}

#container {
    height: calc(90vh - 150px);
    width: 300px;
    position: relative;

}

#scientific {
    cursor: default;
    display: grid;
    align-items: center;
    justify-content: center;
    grid-template-columns: repeat(3, 25%);
    row-gap: 2%;
    column-gap: 5%;
    text-align: center;
    background: black;
    font-size: 1.4rem;
    font-weight: bold;
    z-index: 9;
    padding-top: 2%;
    padding-bottom: 4%;
    border-radius: 0 0 20px 20px;
    overflow: hidden;
}

.z {
    height: 11vh;
    width: 11vh;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}

.z:active {
    transition: 0.1s;
    background: linear-gradient(rgb(255, 136, 0), #fa5b05);
    color: white;

}